<?php

namespace Drupal\dr8_zth\Entity;


use Drupal\Core\Entity\ContentEntityBase;

/**
 * Class Blog defines the Blog entity class.
 *
 * @ContentEntityType(
 *   id = "blog",
 *   label = @Translation("Blog"),
 *   label_singular = @Translation("blog item"),
 *   label_plural = @Translation("blog items"),
 *   label_count = @PluralTranslation(
 *     singular = "@count blog item",
 *     plural = "@count blog items"
 *   ),
 *   bundle_label = @Translation("Blog type"),
 *   base_table = "blog",
 *   data_table = "blog_field_data",
 *   revision_table = "blog_revision",
 *   revision_data_table = "blog_field_revision",
 *   translatable = TRUE,
 *   list_cache_contexts = {},
 *   entity_keys = {
 *     "id" = "blog_id",
 *     "revision" = "blog_vid",
 *     "bundle" = "type",
 *     "label" = "title",
 *     "langcode" = "langcode",
 *     "uuid" = "uuid",
 *     "status" = "status",
 *     "author" = "uid",
 *   },
 *   bundle_entity_type = "node_type",
 *   field_ui_base_route = "entity.blog_type.edit_form",
 *   permission_granularity = "entity_type",
 *   links = {
 *     "canonical" = "/blog/{blog}",
 *     "delete-form" = "/blog/{blog}/delete",
 *     "edit-form" = "/blog/{blog}/edit",
 *     "version-history" = "/blog/{blog}/revisions",
 *     "revision" = "/blog/{blog}/revisions/{blog_revision}/view",
 *   }
 * )
 */
class Blog extends ContentEntityBase {

}
